<script setup lang="ts">
import { inject, provide, ref, computed } from 'vue'
import { RouterLink, RouterView } from 'vue-router'

import LoginView from './views/LoginView.vue'
import MainAppBar from './components/MainAppBar.vue'
import MainMenu from './components/MainMenu.vue'
import LoadingDialog from './components/LoadingDialog.vue'

import { useUserStore } from './stores/user'

const userStore = useUserStore()

const drawer = ref(false)
const title = ref('')
provide('drawer', drawer)
provide('title', title)
</script>

<template>
  <login-view v-if="userStore.currentUser === null"></login-view>
  <v-layout class="rounded rounded-md" v-else>
    <main-app-bar></main-app-bar>
    <main-menu></main-menu>
    <v-main
      class="align-center justify-center"
      style="min-height: 300px; background-color: #ffffff"
    >
      <v-main class="pa-6">
        <router-view></router-view>
      </v-main>
    </v-main>
  </v-layout>
  <LoadingDialog></LoadingDialog>
</template>

<style scoped></style>
